import * as react_jsx_runtime from 'react/jsx-runtime';
import React$1 from 'react';

interface TableProps<T> {
    columns: string[];
    data: T[];
    props: ReadonlyArray<keyof T>;
    actions?: boolean;
    actionTexts?: string[];
    loading?: boolean;
    actionFunctions?: Array<(item: T) => void>;
    searchValue?: string;
    disableDefaultStyles?: boolean;
    customClassNames?: {
        container?: string;
        table?: string;
        thead?: string;
        th?: string;
        tr?: string;
        td?: string;
        actionTd?: string;
        actionButton?: string;
        actionSvg?: string;
        dropdownMenu?: string;
        dropdownItem?: string;
    };
    renderRow?: (item: T, index: number) => React.ReactNode;
    rowOnClick?: (item: T) => void;
    paginationComponent?: React.ReactNode;
    enableDarkMode?: boolean;
}
interface ActionDropdownProps<T> {
    item: T;
    index: number;
    actionTexts: string[];
    actionFunctions: Array<(item: T) => void>;
    disableDefaultStyles?: boolean;
    customClassNames?: {
        actionTd?: string;
        actionButton?: string;
        actionSvg?: string;
        dropdownMenu?: string;
        dropdownItem?: string;
    };
}

declare function TableComponent<T>({ columns, data, props, actions, actionTexts, loading, actionFunctions, searchValue, disableDefaultStyles, customClassNames, renderRow, rowOnClick, paginationComponent, enableDarkMode, }: TableProps<T> & {
    enableDarkMode?: boolean;
}): react_jsx_runtime.JSX.Element;

declare const ActionDropdown: <T>({ item, index, actionTexts, actionFunctions, disableDefaultStyles, customClassNames, }: ActionDropdownProps<T>) => react_jsx_runtime.JSX.Element;

interface TableSkeletonProps {
    disableDefaultStyles?: boolean;
    customClassNames?: {
        container?: string;
        table?: string;
        th?: string;
        tr?: string;
        td?: string;
    };
}
declare const TableSkeleton: React$1.FC<TableSkeletonProps>;

interface NoContentProps {
    name: string;
}
declare const NoContentComponent: React$1.FC<NoContentProps>;

export { ActionDropdown, type ActionDropdownProps, NoContentComponent, TableComponent, type TableProps, TableSkeleton };
